#ifndef META_HPP__
#define META_HPP__

#include "common/data.hpp"
#include <opencv2/opencv.hpp>

namespace meta
{

struct MetaData{
    cv::Mat image;
    cv::Mat draw_image;
    data::BoxArray boxes;
    data::BoxArray result;
};

using MetaDataPtr = std::shared_ptr<MetaData>;

inline MetaDataPtr makeMetaData(const MetaData& metaData) {
    return std::make_shared<MetaData>(metaData);
}

}


#endif // META_HPP__