#ifndef INFERNODE_HPP__
#define INFERNODE_HPP__

#include "nodes/base/base.hpp"
#include <opencv2/opencv.hpp>

namespace Node
{

class InferNode : public BaseNode
{
public:
    InferNode() = delete;
    InferNode(const std::string& name) : BaseNode(name, NODE_TYPE::MID_NODE) {}
    InferNode(const std::string& name, const std::string& model_path) : BaseNode(name, NODE_TYPE::MID_NODE), model_path_(model_path){}
    virtual ~InferNode() { };

    void set_model_path(const std::string& model_path)
    {
        model_path_ = model_path;
    }

    void work() override;

private:
    std::string model_path_;
};

}

#endif  // INFERNODE_HPP__